package jpa20.war.bvcallbackbmt.entity;

import javax.persistence.*;
import java.util.Collection;


@Entity
@Table(name="BV_PROJ")
public class Project {

    private int	    id;
    private String	name;
    private Collection<Employee> employees;

    public Project() {}

    public Project(int id, String name) {
        this.id = id;
        this.name = name;
    }

    @Id
    public int getId() {
        return id;
    }
    public void setId(int id) {
        this.id = id;
    }

    @Column(length=20, name="NAME")
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

    @ManyToMany(cascade = CascadeType.ALL)
    public Collection<Employee> getEmployees() {
        return employees;
    }
    public void setEmployees(Collection<Employee> employees) {
        this.employees = employees;
    }

}
